1. #1
    Sencha User
    Join Date
    Jun 2013
    Posts
    5
    Vote Rating
    0
    ORACLEADF is on a distinguished road

      0  

    Default CMD 3.1.2.342 error using ext-4.2.1

    CMD 3.1.2.342 error using ext-4.2.1


    Hi everyone,
    I used :
    C:\xampp\htdocs\ext-4.2.1>sencha generate app s0 c:\s0
    to generate a fresh new app!
    But leads to...
    Code:
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] -before-generate-workspace:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] generate-workspace-impl:
    [INF] [echo] generating into c:\s0 from C:\Program Files\SenchaCmd\Sencha\Cmd\3.1.2.342/templates/workspace
    [INF]     [mkdir] Created dir: c:\s0\packages
    [INF]
    [INF] cmd-root-plugin.copy-framework-to-workspace-impl:
    [INF] [propertyfile] Updating property file: c:\s0\.sencha\workspace\sencha.cfg
    [INF]
    [INF] copy-framework-to-workspace-impl:
    [INF]      [copy] Copying 4522 files to c:\s0\ext
    [INF]      [copy] Copying 89 files to c:\s0\ext\src\ux
    [INF] [propertyfile] Updating property file: c:\s0\.sencha\workspace\sencha.cfg
    [INF]
    [INF] copy-framework-to-workspace:
    [INF]
    [INF] generate-workspace:
    [INF]
    [INF] -after-generate-workspace:
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] before-upgrade:
    [INF]
    [INF] generate-app-impl:
    [ERR]
    [ERR] BUILD FAILED
    [ERR] java.lang.NullPointerException
    [ERR]
    [ERR] Total time: 0 seconds
    [ERR] com.sencha.exceptions.BasicException
    I am using Windows7 32 bit.
    I installed rubyinstaller-1.9.3-p429.exe

    Any help?

  2. #2
    Sencha User
    Join Date
    Jun 2013
    Posts
    5
    Vote Rating
    0
    ORACLEADF is on a distinguished road

      0  

    Default Nobody couldn't answer to my issue

    Nobody couldn't answer to my issue


    Please help me how to configure Sencha Cmd properly.
    Regards

  3. #3
    Sencha User
    Join Date
    Jun 2013
    Posts
    5
    Vote Rating
    0
    ORACLEADF is on a distinguished road

      0  

    Default Finally I could solve the problem

    Finally I could solve the problem


    I test in my office and it worked properly.
    Code:
    O:\xampp\htdocs\ext-4.2.1>sencha generate app s0 c:\s0
    Sencha Cmd v3.1.2.342
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] -before-generate-workspace:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] generate-workspace-impl:
    [INF]      [echo] generating into c:\s0 from C:\Users\ameysami.SAYESAMAN\bin\Sen
    cha\Cmd\3.1.2.342/templates/workspace
    [INF]     [mkdir] Created dir: c:\s0\packages
    [INF]
    [INF] cmd-root-plugin.copy-framework-to-workspace-impl:
    [INF] [propertyfile] Updating property file: c:\s0\.sencha\workspace\sencha.cfg
    [INF]
    [INF] copy-framework-to-workspace-impl:
    [INF]      [copy] Copying 4522 files to c:\s0\ext
    [INF]      [copy] Copying 89 files to c:\s0\ext\src\ux
    [INF] [propertyfile] Updating property file: c:\s0\.sencha\workspace\sencha.cfg
    [INF]
    [INF] copy-framework-to-workspace:
    [INF]
    [INF] generate-workspace:
    [INF]
    [INF] -after-generate-workspace:
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] before-upgrade:
    [INF]
    [INF] generate-app-impl:
    [INF]
    [INF] generate-starter-app:
    [INF]     [mkdir] Created dir: c:\s0\resources
    [INF]     [mkdir] Created dir: c:\s0\overrides
    [INF]     [mkdir] Created dir: c:\s0\sass\src
    [INF]     [mkdir] Created dir: c:\s0\sass\var
    [INF]     [mkdir] Created dir: c:\s0\sass\etc
    [INF] [x-property-file] Updating property file: c:\s0\.sencha\app\sencha.cfg
    [INF]
    [INF] after-upgrade:
    [INF] Saving certificate as C:\Users\ameysami.SAYESAMAN\bin\Sencha\Cmd\repo\pkgs\cert.json
    [INF] Saving private key as C:\Users\ameysami.SAYESAMAN\bin\Sencha\Cmd\repo\.sencha\repo\private-key.json
    [ERR] Failed to download remote catalog : Error downloading http://cdn.sencha.com/cmd/packages/catalog.json
    [INF] Including theme package ext-theme-classic for app.theme=ext-theme-classicbuild
    [INF]
    [INF] init-plugin:
    [INF]
    [INF] cmd-root-plugin.init-properties:
    [INF]
    [INF] init-properties:
    [INF]
    [INF] init-sencha-command:
    [INF]
    [INF] init:
    [INF]
    [INF] app-refresh-impl:
    [INF] Including theme package ext-theme-classic for app.theme=ext-theme-classicbuild
    [INF] Loading classpath entry C:\s0\ext\src
    [INF] Loading classpath entry C:\s0\ext\packages\ext-theme-base\overrides
    [INF] Loading classpath entry C:\s0\ext\packages\ext-theme-base\src
    [INF] Loading classpath entry C:\s0\ext\packages\ext-theme-neutral\overrides
    [INF] Loading classpath entry C:\s0\ext\packages\ext-theme-neutral\src
    [INF] Loading classpath entry C:\s0\ext\packages\ext-theme-classic\overrides
    [INF] Loading classpath entry C:\s0\ext\packages\ext-theme-classic\src
    [INF] Loading classpath entry C:\s0\app
    [INF] Loading classpath entry C:\s0\app.js
    [INF] Appending concatenated output to file C:\s0\bootstrap.js
    [INF] Appending concatenated output to file C:\s0\bootstrap.js
    [INF] Appending concatenated output to file C:\s0\bootstrap.js
    [INF] Appending concatenated output to file C:\s0\bootstrap.js
    [INF]
    [INF] app-refresh:
    [INF]
    [INF] after-upgrade:
    [INF]
    [INF] generate-app:
    [INF]
    [INF] -after-generate-app:
    [INF] [x-property-file] Updating property file: c:\s0\.sencha\app\sencha.cfg
    
    O:\xampp\htdocs\ext-4.2.1>
    It seems that , I must install Sencha Cmd with users other than from Administrator user privilege.

  4. #4
    Sencha Premium Member varsos's Avatar
    Join Date
    Feb 2008
    Location
    Long Island, NY
    Posts
    342
    Vote Rating
    16
    varsos will become famous soon enough

      0  

    Default Ruby?

    Ruby?


    I was getting an error like this, I don't remember if it was exactly like yours, when I used Ruby 2.0 but installed Ruby 1.9.3 and no errors.
    varsos

Thread Participants: 1